# POST /v4/organizations/{organizationId}/user-groups

_Merkl API_

### Path parameters

- `organizationId` (string) _(required)_

## Request body

**`application/json`**
```json
{
  "type": "object",
  "properties": {
    "name": {
      "minLength": 1,
      "maxLength": 128,
      "type": "string"
    },
    "permissions": {
      "maxItems": 128,
      "type": "array",
      "items": {
        "pattern": "^[A-Z][A-Z0-9_]*$",
        "maxLength": 64,
        "type": "string"
      }
    }
  },
  "required": [
    "name",
    "permissions"
  ]
}
```
**`application/x-www-form-urlencoded`**
```json
{
  "type": "object",
  "properties": {
    "name": {
      "minLength": 1,
      "maxLength": 128,
      "type": "string"
    },
    "permissions": {
      "maxItems": 128,
      "type": "array",
      "items": {
        "pattern": "^[A-Z][A-Z0-9_]*$",
        "maxLength": 64,
        "type": "string"
      }
    }
  },
  "required": [
    "name",
    "permissions"
  ]
}
```
**`multipart/form-data`**
```json
{
  "type": "object",
  "properties": {
    "name": {
      "minLength": 1,
      "maxLength": 128,
      "type": "string"
    },
    "permissions": {
      "maxItems": 128,
      "type": "array",
      "items": {
        "pattern": "^[A-Z][A-Z0-9_]*$",
        "maxLength": 64,
        "type": "string"
      }
    }
  },
  "required": [
    "name",
    "permissions"
  ]
}
```

## Example request

```bash
curl -X POST "https://api.merkl.xyz//v4/organizations/{organizationId}/user-groups" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```